<template>
  <div>
    <el-tree
     :data="treeData"
     node-key="id"
     :default-expanded-keys="[1]"
     :props="defaultProps"
     @node-click="handleNodeClick"
     ></el-tree>
  </div>
</template>
<script>
export default {
  name: 'dataReportLeft',
  props: {
    treeData: {
      type: Array,
      default: () => []
    }
  },
  data() {
    return {
      defaultProps:{
        children: 'children',
        label: 'cusareaName'
      },
    };
  },
  methods: {
    handleNodeClick(data) {
      this.$emit("setCurrentData",data?.cusareaId)
    }
  }
};
</script>
<style lang="sass" scoped>

</style>